/*-- 
	Updated CSS for redesigned Header.
	Shared between:
	- Actor Access
	- Breakdown Express
--*/

/* --HEADER-- */
.bd-header-container {
	width: 100%;
	background-color: #FFFFFF;
	border-bottom: 1px solid #E6E6E6;
	position: sticky;
	top: 0;
	z-index: 100;
}

header button {
	cursor: pointer;
	background: none;
	border: none;
}

.bd-nav-container {
	height: 80px;
	width: 100%;
	background-color: #FFFFFF;
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: #000000;
	box-sizing: border-box;
	padding: 0 20px;
}

.bd-nav-logo {
	height: 32px;
}

.bd-nav-menu-container {
	display: none;
	justify-content: flex-end;
	background-color: rgba(0, 0, 0, 0.75);
	height: 100vh;
	width: 100%;
	position: fixed;
	top: 0;
	right: 0;
	z-index: 999;
}

.bd-nav-menu,
.bd-nav-menu-items {
	display: flex;
	flex-direction: column;
	width: 100%;
}

.bd-nav-menu {
	flex-direction: column-reverse;
	justify-content: flex-end;
	align-items: end;
}

.bd-nav-menu-item {
	min-width: 120px;
	min-height: 50px;
	display: flex;
	justify-content: center;
	align-items: center;
	font-family: "Montserrat", Helvetica, Arial, sans-serif;
	font-size: 14px;
	font-weight: 500;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	text-decoration: none;
	color: #000000;
}

.bd-nav-login-form {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 24px;
	width: 100%;
	margin: 0;
}

.bd-nav-login-form input {
	height: 32px;
	width: 100%;
	padding: 8px;
	font-family: "Helvertica Neue", Helvetica, Arial, sans-serif;
	font-size: 14px;
	line-height: 20px;
	color: #999999;
	border: 1px solid #CCCCCC;
	border-radius: 4px;
	box-shadow: 0px 1px 2px 0px #00000033 inset;
}

.bd-nav-login-form .bd-nav-login-forgot-password {
	display: flex;
	margin-left: 8px;
	margin-top: 4px;
	font-family: "Open Sans", Helvetica, Arial, sans-serif;
	font-size: 12px;
	line-height: 16px;
	color: #0080FF;
}

.bd-nav-login-form .bd-login-btn {
	height: 32px;
}

.bd-menu-toggle-container {
	display: flex;
	align-items: baseline;
}

.bd-menu-toggle-container button {
	padding: 0;
}

.bd-menu-toggle-container .bd-nav-menu-item {
	display: none;
}

.bd-menu-close-btn {
	height: 16px;
	width: 16px;
	background-color: #000000;
}

.bd-menu-toggle-btn {
	height: 10px;
	width: 20px;
	background-color: #000000;
}

.bd-nav-menu-open {
	overflow: hidden;
}

.bd-nav-menu-open .bd-nav-menu-container {
	display: flex;
}

.bd-nav-menu-open .bd-nav-menu {
	background-color: #FFFFFF;
	padding: 30px;
	height: fit-content;
}

.bd-nav-menu-open .bd-nav-menu .bd-nav-menu-item {
	height: 83px;
	justify-content: flex-start;
	font-size: 18px;
	font-weight: 500;
	text-transform: capitalize;
	border-bottom: 1px solid;
}

.bd-nav-menu-open .bd-nav-login-form {
	margin-top: 32px;
}

/* -- MODAL -- */
#bd-login-modal {
	z-index: 999;
}

#bd-login-modal .modal-custom-container {
	padding: 28px;
}

#bd-login-modal .modal-custom-content {
	max-width: 450px;
	width: 100%;
	overflow: unset;
}

#bd-login-modal .modal-custom-section {
	padding: 64px 24px;
	text-align: center;
}

#bd-login-modal .modal-custom-section p {
	margin: 0;
	line-height: 1.5rem;
}

#bd-login-modal .modal-custom-btns {
	justify-content: center;
	padding: 24px;
}

#bd-login-modal .modal-custom-btns button {
	font-family: "Open Sans", Helvetica, Arial, sans-serif;
}


/* -- TABLET VIEW -- */
@media screen and (min-width: 436px) {
	.bd-nav-container {
		height: 100px;
	}

	.bd-nav-logo {
		height: 50px;
	}

	.bd-menu-toggle-btn {
		height: 15.6px;
		width: 30px;
	}
}

@media screen and (min-width: 768px) {
	.bd-menu-toggle-container .bd-nav-menu-item {
		display: block;
	}

	.bd-nav-menu-open .bd-nav-menu {
		max-height: 946px;
		height: 100%;
		width: 276px;
	}
}


/* -- DESKTOP VIEW -- */
@media screen and (min-width: 1440px) {
	.bd-nav-menu-container {
		display: block;
		background-color: unset;
		height: unset;
		width: unset;
		position: unset;
	}

	.bd-nav-menu {
		flex-direction: row;
		align-items: center;
		gap: 32px;
	}

	.bd-nav-menu-items {
		flex-direction: row;
		align-items: center;
		width: unset;
	}

	.bd-nav-login-form {
		flex-direction: row;
		gap: 8px;
		height: 32px;
	}

	.bd-nav-login-form input {
		height: 100%;
		width: 160px;
	}

	.bd-menu-toggle-container {
		display: none;
	}
}